Skip to main content
POST
/
api
/
v1
/
auth
Auth Complete
curl --request POST \
  --url https://api.hevn.finance/api/v1/auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sessionKey": "<string>"
}
'
{
  "refreshToken": "<string>",
  "userId": "<string>",
  "email": "<string>",
  "tokenType": "bearer",
  "isNewUser": false
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

user-agent
string | null
cf-ipcountry
string | null
x-api-key
string | null

Body

application/json

Request for completing authentication.

sessionKey
string
required

Session key from auth/start

Response

Successful Response

Response for POST /auth/complete — refresh token.

refreshToken
string
required

JWT refresh token (7 days)

userId
string
required

User UUID

email
string
required

User email

tokenType
string
default:bearer
isNewUser
boolean
default:false